TinyCAD for Windows

Version 2.00.00

http://tinycad.sourceforge.net

Introduction and summary of changes to TinyCAD

Get More from TinyCAD!

You will find TinyCAD easy to use straight away, however, you may want to read on to get the most out of this program.

Drawing a Design

Advanced drawing techniques

Adding Text and Annotations

Printing a Design

Editing Symbols & Libraries

Exporting to a PCB programs

Credits

A plea from the author

Many people download TinyCAD and don't get on with it. Why not drop me an email to let me know what the problem is. I try and fix all of the bugs that I know about. However, many bugs remain, simply because I'm not told. So please let me know and don't assume that somebody else will tell me.

If you want to have an open discussion about TinyCAD why not go to the discussion forum accessible from the TinyCAD web-site.

Often I will fix the bug and email you back the latest version with the bug-fix in.

Corrections

This program is open-source and so is all of the documentation. You can download the source html from the sourceforge web-site. If you wish to do a translation or wish to correct any errors then please do so!

This program is Copyright © 1994-1995,2002-2004 Matt Pyne. It is licensed to you at no charge. The license agreement follows.

TinyCAD program for schematic capture
Copyright 1994-1995,2002-2003 Matt Pyne.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this application; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA


Introduction to TinyCAD

An Introduction to TinyCAD

Welcome to TinyCAD!

You can get the latest news, release and source code from the Sourceforge site. Go to http://tinycad.sourceforge.net.

TinyCAD is an open source schematic capture program. Use TinyCAD to draw your own circuit diagrams.

You can lay out circuit diagrams using the supplied libraries. Alternatively, there is a component library editor built into TinyCAD – so you can easily create your own symbols. You may also find more libraries on the Sourceforge site that other users have release under the GPL license for you to use.

Once you have drawn your design, you can use the special functions to automatically add symbol references, check your design against rules of correctness and create a parts list. TinyCAD can also export a netlist for import into a PCB layout program.

Once you have your design you can copy and paste it into other packages such as Word (or better still OpenOffice). You may also print your design to any supported Windows printer. If your design is larger than a single page then it can be either scaled to fit on a single page or printed across many pages.

Changes since version 1.95.20

Welcome to TinyCAD version 2.00.00. Here is a quick summary that has changed in this release:

New features:
Each single drawing file can now be made up of multiple sheets (just like Excel).
Screen re-drawing has been improved to reduce flicker
Save as a black & white bitmap and select the scaling factor
Autosave every “n” minutes

New library editing features:
Library Symbols can now have multiple names
Export and import single library symbols or the entire library into an XML file
Right click on a symbol in the thumbnail view to get direct access to the symbol's properties
Multi-sheet tabs make multiple part per package symbols easier to draw

Changes since version 1.90.00

Welcome to TinyCAD version 1.95.20. Here is a quick summary that has changed in this release:

New features:
Change the colours of the drawing items such as pins and wires
A new “Windows” menu option to navigate between your open windows
“Make horizontal” & “Make vertical” menu options for wires
Increased zoom on drawings

Integrate more easily with other programs
TinyCAD now loads and saves it's files in an XML file format
Save as a PNG file for sharing your designs with others
Output a netlist for common PCB programs, including PADs and Protel

Improved symbol & library editing:
Copy symbols from one library to another
New context (right-click) menu on library thumbnails for faster library editing
Pins have even more options to make them look better

Improved features:
The Undo/Redo has been completely re-written to make it more robust
The dragging of wires and symbols has been re-worked at length to improved ease of use

.. and numerous bug fixes to improve stability and make TinyCAD easier to use!

Changes since version 1.80.00

Welcome to TinyCAD version 1.90.00. Here is a quick summary that has changed in this release:

New symbol picker tool
The most obvious change to TinyCAD when you fire it up is the new symbol picker that sits on the left hand side of the screen. This replaces the old way of fetching symbols from the libraries.

New library format
The Libraries are now stored in Microsoft Access database format. This means all new libraries will have an extension of .mdb and can be opened by a copy of Access. This change to a more standard format for storing libraries will make it much easier to add new features to the libraries in future, and will enable 3rd parties to write their own tools to read/modify the symbols.

The first new feature with the new library format, is that you are able to select the default orientation of symbols when they are picked. This fixes a long running bug in TinyCAD that symbols were drawn one way round, but always extracted from the libraries rotated.

To convert your libraries to the new format, use the new “Upgrade” button in the library dialogue box.

Lots of bug fixes
In line with all new releases I have been busy fixing bugs. There are a few crashes fixed and some tiding up of the way editing drawings work.

Changes since version 1.60.10

Welcome to TinyCAD version 1.80.00. So much has changed since the last release that this is just a summary of what has changed.

New wiring tools
Automatic snap to symbols and other wires
Automatic junction placement

New symbol components
Unlimited number of attibutes associated with a symbol
Make attributes hidden by default in the library

New editing tools
Re-size symbols
Drag wires out
Bring to front/send to back
Select multiple objects using the Ctrl key
Right-mouse button context menus

New annotations
Filled polygons, rectangles and ellipses
Resize text in any direction


Drawing in TinyCAD

Drawing a Design

Designs are created from in-built objects such as wires, junctions, etc., and from imported component symbols, such as diodes, transistors, etc.

Changes since version 1.60.00:

Drawing has changed for the better – much more is now done for you. This includes snapping wires to the pins of symbols and automatic placement of junctions for you.

Whilst editing a drawing objects are now dragged by default instead of moved.

If you wish to turn any of these new options off, then use the new settings dialogue in the options menu.

An overview of how to draw a new design

Drawing a schematic is composed of two basic operations, placing the symbols that represent the components in your design and then wiring them up.

Symbols are stored in symbol libraries. You can get a symbol from a library by pressing F6 or using the “Get Symbol” on the drawing toolbar. Place the symbol using the left-hand mouse button. When you have finished placing symbols use the right-hand mouse button.

It is essential that you use each of the tools correctly for TinyCAD to function properly. You must, for example, use wires not lines to connect components. If you were to use lines, the special tools and features, which are an important part of this program, would not function correctly. For example, lines do not automatically snap to symbol pins.

You may wish to use the grid snap feature. This makes the drawings look neat and forces wires and symbols to line up. However, from version 1.80.00 onwards, wires now snap to pins, so the grid snap feature is no longer essential to ensure that connections are made.

Designs are drawn by using the drawing tools, which are selected in the Toolbar. Each of the tools is detailed in the Toolbar Reference Guide.

Whilst drawing an object you may wish to move to another area of the design, so that you can move the object to a part of the design not currently shown. Do this by dragging with the middle mouse button (normally the scrollwheel) to pan the drawing, or use the scroll-bars.

Once an object has been placed you may want to change its properties. The Edit tool in the drawing toolbar is use for editing already placed objects. Use this tool in the normal Windows' way – click on objects to select them, or select multiple objects using the Ctrl-key or dragging out an area. If you have just one item selected then its options dialogue will be shown to let you change the options of that object.

You can move objects in the normal Windows' way, which is to select the objects and then drag them. By default the connected wires come too, however, if you wish to unhook a symbol from its wires then drag with the Ctrl-key held down.

To delete selected objects use the delete option on the drawing toolbar (a red cross) or use the delete key. The normal cut, copy and paste options are also available to you. You can access these from the edit menu or use the right-mouse button to bring up the context menu.

If you prefer you don't have to use the new Windows' editing features of TinyCAD, still available to you are the block move, block drag, and duplicate block tools. These can be found in the block toolbar.

If you wish to rotate part of a design (by 90 degrees), then you have to use the block rotate object in the block toolbar. Outline the area you wish to rotate and then use the tool buttons to rotate the selected area.

A final tip - remember to save the design regularly! This can be done by using the Autosave feature (see the Options->Settings dialouge). The default for Autosave is to save your drawing every 10 minutes. The backup drawing is saved in the same directory as the original but with an “.autosave” extension.

Symbols

Symbols are the heart of a design. They represent the components in the design.

Symbols are stored in groups in symbol libraries. Each library contains a different collection of symbols.

To place a new symbol into your drawing use the new symbol picker which normally sits at the left hand side of the drawing. You may also pull this toolbar off of the side by double clicking on it. If you want to see more of your design, you can turn off the symbol toolbar by using the button on the drawing toolbar.

To extract a symbol simply double click on the name of the symbol you want to place into your drawing or select the symbol and then use the “Get” button on the dialogue.

If you don't know the name of the symbol you want then you can use the search facility on the dialogue. Enter a short description of the component. As you do so the list of components will be reduced to include just those that contain the text in either their name or description.

At any one time a certain number of symbol libraries are in use. The libraries to be searched are listed in the libraries option of the Library Menu. Before you can start using symbols at least one symbol library must be listed here. (See the Library Menu, in the menu reference for more help on adding a library to this list).

A symbol can be rotated or mirrored before it is placed, by using the tool dialogue that is normally displayed in the top right hand corner of your drawing. Once it is placed you can still edit all its details by selecting it.

Each symbol has at least two text attributes associated with it. You can move its text fields around by selecting the symbol for editing, and then clicking on the field you wish to move. The field will now move with the mouse.

The Name attribute

This is the name or type of the component that the symbol represents. If the component has a value then insert the value here. For example, if it were a resistor then the name might be 330R or 4k7. If the symbol represents a phono connector then the name might be Phono.

The Reference attribute

This is an identifier that is unique to the whole design, typical values might be R1 or Q3 etc. There may be many resistors each with a Name field of 330R, however, each resistor must have a unique Reference. There should only be one symbol with reference R1 in a design.

This field can normally be left as it is, you can use the Special tools to set the references automatically. Either use the reference painter to “paint” each reference or use the add symbol references automatically.

The Package attribute

This is the attribute is used for PCB netlist export. The PCB layout program will use this attribute to determine which pad layout to use. There is no fixed naming convention for this attribute and it is entirely dependent on the footprint libraries supplied with your PCB layout program.

Not all symbols have the package attribute by default. You must add it if you wish to export to a PCB program. To add it, simply click on the “Add” button, and then rename the new attribute to Package.

Other attributes

You may add additional attributes to a symbol from the symbol's tool dialogue. There is no real limit to the number of attributes you add. You may use these references for almost any purpose, for example you may wish to add PCB layout instructions here.

All of the the symbols in the supplied libraries have an “other” attribute already defined for you. However, you can add more if you wish. Either add them by default by editing the symbol in the library or add them individually to each symbol at placement time.

Placing Wires

Wires are used for connecting components of your design.

For wiring to work properly you must make sure you are using the wiring tool. This is the BLUE line in the drawing toolbar. Don't use the polygon/polyline tool – it functions very differently.

Drawing wires is now simpler than ever in TinyCAD. Select the wire tool from the drawing toolbar. Move to the where you wish to start the wire from. You may either drag out the wire to the destination or you can click once and move the mouse to the second point and click again.

When you get to the destination of the wire a red circle will indicate that the wire has snapped to the symbol or wire.

If you can't get to the destination with just two wires, then click with the mouse to place a wire corner. You may then continue until the you have placed all of the wires you need.

To cancel placing a wire right click or select another tool in the toolbars.

Automatic Junction placement

Junctions are placed automatically for you, so normally you don't need to use the junction tool.

Where two wires cross they are not considered joined unless a junction is used at the crossing point. Junctions are also required when a pin is connected to the middle of a wire.

If you wish to place junctions manually, then switch automatic junction placement off, in the Options->Settings dialogue, and then the junction tool will be available to you.

Whilst automatic junction placement is on, you cannot select junctions.


Drawing in TinyCAD

Advanced drawing techniques

For the more advanced schematics, TinyCAD has more advanced features.

No Connects

Normally all of the pins on a symbol must be connected. There may be times when you wish to leave a pin unconnected but wish to show that you haven't forgotten the pin and it is intentionally left unconnected.

If you do not wish to connect to a certain pin then use the no-connect option on the Toolbar. Place a no-connect on every pin that is not to be connected to anything else.

Any unconnected pins can be found by using the the Design Rules Checker in the Special menu.

Adding Power

Power objects in your design show where power is connected into your circuit. Various shapes of power symbols are defined.

You must always make the connection to power at the end of the power object's pin. A junction may be necessary if the connection is to the centre of a wire or where wires cross. If a junction is necessary it will be placed automatically for you.

The shape of the power object is ignored - it is the value of the power item which is important. All items connected to power objects of the same value are considered connected together.

Some component symbols, such as the 74 TTL library symbols, are automatically connected to power. To ensure the power is correctly connected, always use the same power names that are used in the library. For example, when using the 74 TTL library use the power names GND and VCC for 0v and 5v respectively.

Using Labels

Labels enable you to make connection between points on your design which are some way apart. They are also useful for when many connections are required to the same point.

Correct use of labels

A label should be placed above or alongside a wire. The label is considered connected at the bottom left hand corner of the label when the label is horizontal (Right) and the bottom right hand corner when the label is vertical (Up). A small red rectangle shows where the label is connected to.

All wires with the same label name will be considered connected together. This way a connection between the wires is formed without you having to actually draw it.

Adding Buses

Buses can be used to indicate a large number of connections. To help you draw a bus the repeat options are present.

To create a bus, first draw the bus near where you wish to connect it. Now add a bus entry to the bus. Press 'R' (for repeat in the Edit Menu) to repeat this as necessary for the number of entries you wish to make.

Draw a wire from the bus entry to the connection point. Now press 'R' again, to complete all the wire connections.

Finally you must add the labels. Place the first label. Depending on your repeat options the label name will be updated automatically. Place a label over each wire.

Now the bus connection is complete!

Use the same names for the bus entries on all connections to bus; however, the order of the names is unimportant. Buses do not require junctions anywhere on them.

Once a bus is in place, you may name the bus using the Bus Name tool. You may use this to place some text next to the bus. The name can indicate how many conductors the bus represents, by specifying just a single number, or it may qualify what the bus is for example by calling it "Data Bus" etc.


Drawing in TinyCAD

Adding Text and Annotations

You may add the following annotations: text, lines, rectangles, ellipses and arcs. All these objects will be ignored by the special tools.

Annotations may cross wires, symbols and junctions without affecting them. How these objects are used is completely up to you.

Drawing rectangles and ellipses

New for TinyCAD 1.80.00 is that these objects can now be filled, and TinyCAD now uses the Windows' default colour selection dialogue which gives you access to all of the colours.

To draw a rectangle or ellipse, select the correct tool in the annotation toolbar, and then drag out the outline of the shape with the left hand mouse button. When you release the mouse button the shape will be selected, ready for repositioning if required.

The shapes can be edited by selecting them, by clicking on them and then using the handles to move and resize the shape.

You may also select the styles of the lines and the fill colour by using the tool dialogue, normally displayed in the top right hand corner of the drawing.

Drawing Polygons & Polylines

A polyline is a set of connected lines, all of which have to be the same width and colour. A polygon is a closed set of connected lines, which is filled.

To draw either a polygon or polyline first select the tool in the annotation toolbar. Then draw the shape by clicking with the left hand mouse button to place each corner of the shape. When you have finished place the last corner by either double-clicking or by using the right-click context menu.

When finished, the shape will be selected ready for editing. You may select a fill for the shape and select the line style using the tool dialogue normally displayed in the top right hand corner of the drawing. When filling an open polyline, an additional line will be added, from the end point to the start point, closing the loop and creating a closed set of lines, a polygon.

You may add arc'ed segments to the outline of the shape by either using the tool dialogue, or by using the right-click context menu.

Editing Polygons and Polylines

Once placed the polygon or polyline can:

  • Be resized as a complete shape

  • have any of the corners moved

  • have a new corner added

  • have a corner deleted

  • have a side changed from straight to arc'ed

Resize and move the polygon or polyline using the handles displayed once the shape is selected.

To add a corner, right click on the location you wish to add the corner and select new handle from the menu.

To remove a corner, right click on the handle of the corner you wish to remove and select delete handle.

To change a line from straight to arc'ed or back again, right click on the line you wish to change and select one of the arc options from the menu.

Changing the drawing order

If one of your annotations is obscured by another then right-click on it and use the “Z-Order” menu to bring it the top of the drawing order or send it back behind all other annotations.


Introduction to component libraries

An Introduction to Libraries

Component symbols form a very important part of laying out designs. Symbols are collected together in symbol libraries. You may edit and create your own new symbols and libraries.

It is unlikely that the symbol libraries provided could possibly cover all the symbols you might ever want. This program has been designed to allow you to create your own symbols very easily.

Selecting libraries

Before any symbols can be used from a library, the library must be selected as in use. This is done by using the Libraries option in the Library menu.

This dialogue displays a list of libraries in use. Before a library can be edited or before a symbol can be extracted from a library it must be listed here. Once the library is listed then you can extract symbols from it using the Get option on the Toolbar.

To add a library to this list click on the Add button. A file selection dialogue will appear. Select a library index file (with a .idx file extension) or database file (with .mdb extension). The selected library will be added to the list.

To remove a library from the list, click on the library in the list to select it and then click on the Remove button. This does not, in any way, delete the file and library is still available to others. To actually delete the library you must use Windows Explorer.

Libraries that do not exist can also be listed here. If the library does not exist, then you will be informed every time the library's index is read. This normally occurs when TinyCAD is first started and re-read libraries option in the Library menu is selected.

You can open the thumbnail view of the library by double clicking on the library name in the list box, or by selecting it and then clicking on the edit button.

Upgrading a library converts it from the old format to the new Microsoft Access database format. This format creates a slightly larger file, however, it will enable TinyCAD to have more features in the future.

As of TinyCAD 1.90.00, the “Tidy” option is no longer required for the new library format, and so has been removed from this dialogue.

Editing and Printing Libraries

Use the library dialogue to select the library to edit. Once selected you will see a new window with a thumbnail view of the library. If the library is a brand new library then the window will be blank.

Use the library editing window to:

  • See all of the thumbnails of the symbols in the library

  • Add new symbols to the library

  • Delete and rename symbols in the library.

  • Edit a symbols names and attributes

  • Move symbols from one library to another

  • Export symbols into an XML file

  • Import an XML file of symbols into this library

You can select symbols in the library by clicking on them. Once selected you can use the “Symbol” menu to edit or delete the symbol. You may also right-click on thumbnails to bring up a context menu, which is a shortcut for going to the symbol menu.

Use the symbol menu or the context menu to add a new symbol to the library.

A shortcut to editing a symbol is to double-click on it.

Editing and adding symbols

Symbols are created from normal objects found on the Toolbar. They may contain any of these objects except other symbols.

If the symbol does contain any objects with special functions (such as a power item or a wire) then these object will be treated as though they were annotation. All their special functions are lost when used in a symbol.

To edit an existing symbol, first select the library you wish to edit in the Libraries option of the Library menu.

Next select the symbol to edit in the Library thumbnail view by clicking on it. A new symbol editing window will open with the symbol in it. The symbol may be edited in the same way that a normal design can be edited, with the exception no symbols may be inserted but pins may be added.

When you have finished use the Save option in the File menu or simply close the window. This will enable you to save the new symbol back to the library. The dialogue box automatically remembers the details of the symbol selected. If you enter a different name here then the symbol will be store under the new name, making a copy of the symbol. If you enter the name of an existing symbol then it will replace the old symbol in the library.

Symbol Pins

Connections to a symbol is via the pins. It is important to correctly type each pin. This enables the Netlist generation and Check Design Rules in the Special menu to operate correctly. The pins also enable the part-per-package feature to work correctly.

The design rules determine the type of each pin and can work out if you have made a mistake in your design. For example it can check that there is no output driving an input. To do this you have to nominate the pins with the correct type.

Multiple Parts Per Package

Some semiconductors have multiple parts per package. You can define a different set of pins per package. When the user selects the package, the pins from that package are shown and all of the other pins are hidden.

An example of the 7401 IC which has 4 parts per package

For example, the 7401 has 4 parts per package. These parts are label A, B, C and D. You can see from the example above the only difference between each part is the pin numbers.

When you are drawing the symbol use the “Set part per package” option in the Library menu or right click on the tabs at the bottom of the view. This option will enable to select the number of parts per package for the symbol. Use the tabs at the bottom of the symbol to select between editing the different parts.

Remember that each part in a symbol has the same basic shape, it is just the pins that are different.

Creating a new symbol library

Creating a new library is easy. Use the “New” button on the library editing dialogue. A blank library will be created with the name that you specify.

Double click on the library to edit it. You may now add your first new symbol.

Symbol Properties

This option can only be used when you are editing a library or symbol.

This dialogue is used to edit the symbol's names and default attributes. As of version 2.00.00 of TinyCAD you can now give the symbol more than one name. Associated with each name of the symbol can be as many different default attributes as required. There is no restriction on the symbol name, you may use upper or lower case and the name may include spaces.

You can access this dialogue in two ways. Either right click on the symbol in the thumbnail view and select “Symbol Properties”, or it is displayed after you edit a symbol when you close or save the window.

If you wish the symbol to have more than one name in the library then use the “Add name” option. Each name has it's own set of default attributes and description. You can use additional names to give different attributes to the same basic symbol. For example you may wish to have a different name for a capacitor for each of the different PCB packages (footprint) that you use in your PCB program.

You can also add any number of extra parameters to the symbol. Use the “Add” and “Delete” buttons to add new parameters to the symbol. You cannot delete the name or the reference, as these are always required by a symbol.

You must enter the default reference for the symbol.. This is the text that appears in the reference field of the symbol when it is first extracted from the library using the Get command. Remember that the reference should normally be a single letter followed by a ?. For example: U?

These extra parameters can be used to store any information you like. For example, PCB layout information or SPICE information. This information is show to the user when the symbol is placed into the design. The parameters are also written out in the netlist (see the Special menu).

Click the OK button to store the symbol, or the Cancel button to exit without changing the symbol.


Printing

Printing a Design

Once your design is drawn it can be printed to any Windows-supported printer.

The printing options available are outlined in the Print option in the File Menu, detailed in the Menu Reference guide.

If the design will not reasonably fit on a single page then it can be 'tiled' across many pages. That is, each page will contain a different section of the design. Once all the pages have been printed, the pages can be stuck together to form the whole design.

You may also select for the design to fit to a single page. If you select this option, then the scaling is automatically selected for you that will ensure your design will fit on one piece of paper.

For the best results when drawing a small design, use the Printer Setup option in the Page Setup dialogue. This will ensure the design's dimensions will have the same dimensions as the printer's output, making scaling unnecessary.

Use the print in black and white option for best results when using a black and white printer.


Exporting to PCB programs

TinyCAD has the ability to create a netlist for import into a PCB layout program. However, for this to work to it's best potential you have to use TinyCAD in the correct way:

  1. Use wires and symbols correctly

  2. Add the “Package” attribute to symbols

  3. Export the netlist in a format compatible with your PCB layout program

Use wires and symbols correctly

For TinyCAD to understand the circuit diagram, you must use the “wires” tool to wire up your circuits. If you were to use the polygon lines, then TinyCAD does not know this is a connection and will not export the connection to the netlist. To check that your circuit is wired correctly use the “Check Design Rules” option in the Special menu, before exporting the PCB netlist.

You must connect a wire to a symbol pin at the tip of the pin. This is normally done automatically for you. As you move a wire close to the symbol a red-circle is show indicating that the wire will be connected to an active point on the symbol. If you do not connect at this point, the wire will not be recognised as connected in the PCB netlist export.

Add the “Package” attribute to all symbols

When the netlist is exported this attribute is written out with the netlist so that the PCB program will know which footprint to use with the symbol. Remember the footprint can often be different for the same symbol in different places. For example a capacitor symbol in one part of your circuit may have a different footprint to a capacitor in a different part of the circuit.

You can edit the symbol libraries so that each symbol has a default “Package” attribute.

The example design “amp.dsn” it has the “Package” attribute for each of the symbols that are used.

Export the netlist in a format compatible with your PCB layout program

From the Special menu select the “Create netlist for PCB program” option.

Use this dialogue to select the netlist output type and the filename you wish to use for the export. Currently TinyCAD has a limited select of file formats, however, you may well find that this format is recognised by your PCB program.

All of the output file formats are text based, so if you wish to see the result of the export, try loading the exported file into notepad or another text editor.


File Menu Reference

New

This gets rid of the current design. All drawings in the current design are removed. If the current design has not been saved then you are asked to confirm before the design is lost.

Open

This option opens a previously saved design for editing or printing. If there is already a design being edited it will be lost. If the current design has not been saved then you will be asked to confirm before continuing.

Close

Close the current window. This option will prompt you save any changes if you have made any.

Save

This option saves the current design, its page set up and the design details are all saved in a single file. If the design has already a file name associated with it then it will be saved using this file name without prompting. If the design has never been saved then you will be prompted for a new file name before it is saved.

Save As

This option is similar to the Save menu option; however, you will always be prompted for a file name. Using this option you can save the current design using a new file name or place it into a different directory.

Design Details

Each design has details of its full title, the author, etc. This option allows you to change these details. When the design is next saved, these details are saved with the design.

If the Display Details box is checked then these details will be displayed and printed in the bottom right hand corner of your design.

Import

Using this option you can place into the current design another previously saved or exported design.

When selected you will be prompted to enter the file name of a saved design. This design will be loaded and displayed. You can move the positioning of the imported design with the mouse. Place the design using the left hand mouse button or cancel the operation using the right hand mouse button.

Save as bitmap

Using this option you can save a copy of the design as a PNG file for sharing with people who do not have TinyCAD installed on their computers. If you have an area of the design selected then just that area will be saved into the PNG file. If nothing is selected on the design then the entire design, including the design details and design rulers will be written into the bitmap.

Print

Use this option print to any installed the windows printer.

If the drawing is larger than the paper size of the printer, then it is split up over as many pages as it takes to print the design in tiles.

Print Preview

This option is to show you how the design would be printed on your printer. You can use this option to see if it will be printed the way you want before you actually print on paper.

Page Setup

This option allows you to select the total size of the design.

Some commonly used values are given. If you prefer you can enter your own size in millimetres of the page. Selecting Portrait will ensure the design is taller than it is wide; selecting Landscape will ensure the design is wider than it is tall.

The printer setup option is used with the printer setup button. Click on the printer setup button and select the printer and the type of paper you will use. Now when you return to the Set Page Size dialogue the width and height of the design will be set to match exactly the printable area of the printer.

The page size is saved with the current design when it is saved. The last page size entered here will be remembered for the next new design you start.

Exit

This option will exit the program and remove it from memory.


Edit menu reference

Undo

This option undoes the last action or sequence of actions performed on the design. For example, you can Undo the last drawing operation or undo the last deletion.

You may select this option repeatedly. This will cause the design to return to even more distant versions.

The opposite of this option is Redo.

Redo

This option is the opposite of the Undo option. If you select Undo then the last operation of the design will be undone. If you then change you mind about the Undo, selecting Redo will reverse the action of Undo.

Repeat

If the last object placed in the design was repeatable, this option creates another copy of it in a new location (depending on the repeat direction).

Only wires, line, dashed lines, buses and bus entries can be repeated.

They are repeated above, below, to the left of, or to the right of, the last placed object. This can be selected by the Up, Down, Left, Right option in the repeat directions menu.

Cut

This option enables you to move parts of the design which have been selected to the clipboard. Once it has been moved to the clipboard you may use paste to re-insert them into a different part of the design, and may paste again and again to duplicate a part of the design.

To select objects in the design use the edit item option on the toolbar.

You may also paste into other Windows applications such as Microsoft Word.

Paste

This option takes a previously copied or cut part of a design and enable you to place it into the current design.

Once this option has been selected the pasted design will be displayed at the mouse pointer. To paste it in click with the left hand mouse button, to cancel click with the right hand mouse button.

Copy

This option enables you to copy parts of the design which have been selected to the clipboard. Once it has been copied to the clipboard you may use paste to re-insert them into a different part of the design, and may paste again and again to duplicate a part of the design.

To select objects in the design use the edit item option on the toolbar.

You may also paste into other Windows applications such as Microsoft Word.

Copy to...

Using this option you can save just part of the current design. This part can be loaded as a design in its own right, or imported into another design.

Only the current selection will be written into the output file. A dialogue box will prompt you to enter the file name to save the export design. Remember, this dialogue can be moved out of the way to see which parts of the design have been selected.

Find

This options can be used to find specific uses of text in the design. The user enters the text to be found. This text is then searched for in the design. Each occurance of the string is has a marker placed on it and all the occurances are placed in the design marker dialog.

The markers are removed from the design when the dialog box is close. Clicking on the text in the dialog box moves the associated marker to the centre of the design window.

Tag

This option prompts you to name the selected area, and adds the tag to the design. When the tag is re-selected using the Tags option, this same area of the design is displayed in the design window.

Set Tag

This option prompts you to name the selected area, and adds the tag to the design. When the tag is re-selected using the Tags option, this same area of the design is displayed in the design window.

By naming different parts of the design, a large design can still be navigated using these tags.

Zoom In

Increase the size of the drawing to show more detail. You can also zoom in using the mouse scrollwheel or by using the zoom tool from the drawing toolbar.

Zoom Out

Increase the size of the drawing to show more of the drawing. You can also zoom out using the mouse scrollwheel or by using the zoom tool from the drawing toolbar.


Library Menu Reference

Libraries

This option brings up the dialogue box which allows the setting up and editing of libraries.

The list in the dialogue box is a list of libraries searched when the Get option (in the Library menu) is used. You may add or remove these libraries from this list using the buttons at the side of the list.

The Add button in the dialogue allows a library not currently being searched to entered into the search list. When this option is selected a file selection dialogue appears. Select the index file (those files with .idx extensions), which belongs to the library you wish to use. The library is then added to the list box.

The Remove button removes a library from the search list. It does not delete it! Select the library you wish to remove by clicking on it in the list box, then click on the remove button.

The Edit button allows you to:
- View & Print thumbnails of the symbols
- Add new symbols to this library
- Edit existing symbols in the library

The Tidy button causes a library to be tidied up. Select a library to tidy by clicking on it in the list, then click on the Tidy button. When the library has been tidied a message box will appear informing you of this.

Libraries will need tidying after they have been extensively edited. Tidying the library will make it smaller by removing the unwanted old (now deleted) symbols in the library.

Refresh symbols from libraries

Normally symbols are saved with the design, so any changes to the libraries do not effect your design straight away.

This option causes all the libraries currently in use to be re-read, and any changes displayed in the current design. This only effects the design in the current window.

Part in Package

This option can only be used when you are editing a library symbol.

When a symbol has more than one part per package, this option allows you to edit each part individually.

Each part in the package must have the same symbol outline, but with different pins. Therefore this option only effects the pins in the symbol.

When you select a new part per package, which has not yet been defined, you will be given the option to copy over the pins in the current part into the new part. Select Yes, if you wish to have the pins in the same layout for each part in the package. This is highly recommended. Once the pins have been copied, you can edit their pin numbers using the Edit Item option in the Edit menu.

Add Pin

This option can only be selected when you are editing a library symbol.

Pins are used to show where the connections to each symbol are.

Pins of various shapes are provided, however, these shapes are for cosmetic purposes only. They do not effect how each pin is considered to be connected.

There are various types of pin. These type govern how the electrical rules checker operates. The electrical rules checker checks which pins of what type are connected together and determines whether or not this will produce a correct circuit.

All pins must have a pin number. If the device is not one that has pins numbers (such a capacitor), then what the numbers are is arbitrary - but they must all be different. Pin numbers can also include letters. This is so the pins of a Pin Grid Array device can be correctly labeled.

Pins can optionally have a name. This is not necessary however.

The pin number and name can be shown or hidden. To hide the text click on the check box next to the text in the dialogue box.

Pins of type power are special. Although they are shown when editing a symbol, when the symbol is placed in a design these pins are hidden. Once the symbol is placed in a design pins are automatically connected to the power of the same value as their name. Therefore these pins must have a name. This can be used in conjunction with the parts per package option to allow the placing of, for example, logic gates, without need to show the power connection explicitly. A power pin cannot be connected to normally, all connections to this pin will be done automatically.

A pin of type hidden will be shown when editing a symbol, as with power pins, and hidden when the symbol is placed into a design. However, the normal connections are expected to be made to this pin, even though it is unseen. The symbol design must indicate where these pins are to allow easy connection.

Each pin is associated with a part per package. A single symbol may have more than one part per package. For example a 7400, consists of 4 NAND gates. Each part has different pin numbers on each pin. To select which part per package the pin you are placing belongs to use the Part in Package option in the Library menu.

To place a pin click with the left hand mouse button in the design window. When a pin has been placed, the pin number in the dialogue box will automatically be advanced for you.

Placing can be canceled by clicking with the right hand mouse button.

Once a pin is placed the pin number is either incremented or decremented, automatically for you. The Pin Increment/Pin Decrement options in the repeat directions menu (in the Edit menu) select which way the pin number is changed.

Also if the pin name has a number at then end of it then it too is also incremented or decremented. The Name Increment/Name Decrement options in the repeat directions menu (in the Edit menu) select which way the pin name is changed.

Pins can be edited. To edit them select the Edit Item option in the Edit menu, then click on the end of the pin (the same end as you placed, and would connect a wire to).

Pins can also be moved or deleted.


Symbol Menu Reference

NOTE: This menu is only visible when you are viewing symbol thumbnails in a library editing window.

New symbol

Add a new symbol to this library. A symbol editing window will open and you can start designing your symbol in it. Use the “file save” menu option to save the new symbol back to the library.

You can use any of the drawing tools to create your new symbol. The circuit drawing items lose their special significance in a symbol and all of the drawn objects are treated as annotations. For example, if you place a wire in the symbol then it is not treated as a wire in when the symbol is placed into a design. The only drawing objects that have any significance in a symbol are pins.

Use the “Add Pin” option in the library menu to place a pin into a symbol.

The new symbol will not appear in the library until the symbol has been saved.

Edit Symbol

Select a symbol thumbnail in the library edit window and then use this option to edit it. The symbol is loaded into a symbol edit window so that you may alter it. See the “New Symbol” option for more information about editing symbols.

You can also use this option to copy symbols. Edit the symbol and then save it under a different name.

Rename symbol

Select a symbol thumbnail in the library edit window and then use this option to rename it. If you wish to make a copy of the symbol under a different name use the “Edit Symbol”.

Delete

Select a symbol thumbnail in the library edit window and then use this option to delete it. Once it has been delete it is not immediately possible to undo the change, however, you have the option not to save the changes when you close the library editing window.


Special menu reference

Special Menu

Create Net List for PCB Programs

A net list is a file which contains a list of all the connections made in a circuit diagram. All objects which are connected together are in a single list, called a net. For symbols each objects pin is considered a different object. Each net is given a different name.

Net lists are useful for programs such a PCB layout tools which can check you layout to see if it matches the layout of the circuit diagram, or even suggest a PCB layout from the net list. These more advanced features will be better supported by this program in future releases.

As of version 1.95.15, there are multiple netlist formats supported. The original TinyCAD format is still there, along with PADS-PCB, Protel and Eagle SCR output format.

PCB programs require the footprint to be specified. Do this by adding an attribute to the symbol that has a name “Package”, and the value is the value name of the footprint in the PCB program.

Check Design Rules

This option will cause the current design to be checked against a list of rules it must obey.

The rules test for gross errors in the design. For example, they will tell you if two outputs are connected together. They do not tell you if the design will work or not. However, if the design has errors in it picked up by this tool, then it is properly incorrectly drawn.

Once selected a dialogue box will appear. Each rule that is checked can be turned on or off before the test is done in this dialogue box.

Once the OK is selected the design is checked. Any errors are circled by a red ring. A list of errors is displayed at the side of the design. Clicking on any item in the list will cause that error to be moved to the centre of the design window.

Selecting Edit Item in the Edit menu, then clicking on an error will cause it to be highlighted and also cause the error name in the error list to be highlighted.

If the Done button in the list is selected all the errors will be removed from the design.

If no errors are found then a list will appear stating so. This list can be removed by selecting the Done button.

Error circles can edited, moved or deleted. Error circles will not be saved with the design.

Generate Symbol References

This option changes the symbol references in your design. It relieves you of the task of ensuring each symbol has its own unique reference.

One this option has been selected a dialogue box will allow several options to be changed. You can either add or remove the current references. Removing references can be useful if you wish to integrate this design into another.

You can apply the changes to all references, that is the entire design will have potentially all of it references changed. Use this option if you do have not yet built the design, or have not issued any copies of the design to others.

You can apply the changes to only un-numbered references. This will ensure only new symbols with references with a ? in them will be changed. Use this option if you are modifying an existing design, and wish to leave existing components with their original references.

You can apply the changes to only references matching a give reference. This will apply to all references matching the one entered, even if the symbol has already been assigned a reference. Use this option, for example, to renumber all the capacitors without renumbering any other symbol.

If you wish you can allow this tool to determine what the correct symbol reference for the symbols is. Alternatively you can enter your own.

When you select the OK button the options will be applied to the design. Each symbol specified will be given a new reference. If you select remove references then each symbol will have its references changed back to one with a ? instead of a value.

You may select Cancel to not apply the reference generator.

Create Parts List

This option creates a list of all the parts used in the design. This list is sorted by symbol reference, and all parts of the same type are listed together.

Essentially this is a list of parts that need to be purchased to make the design.

The parts list is store in a simple text file, which can be edited and printed using notepad.

Tidy Design

This option improves the way the design is stored without effecting the way it looks.

In this release it does this by removing unseen object from the design.

This includes:

- Wires, buses, arcs and lines with zero length.

- Labels and text with no text in them.

- Rectangles and ellipses with no area.

This option removes errors than can creep in during editing which are difficult to remove yourself because they are unseen.


Options Menu Reference

Settings

- Show Grid

This causes the grid to be displayed.

If the grid is too fine to show at the current zoom then it will not be displayed. To see the grid zoom in.

If the fine grid is enabled then the points which lie on the normal grid as well are shown as crosses.

- Snap to Grid

This option should under normal conditions be selected.

This option makes any mouse position snap to the nearest point on a grid. This allows the easy alignment of objects. It also ensures when you attempt to connect a wire to a symbol that the connection is made correctly. For this reason snap to grid should always be on.

If the snap to grid feature is turned off then when you attempt to connect a wire to a symbol it is very difficult to ensure both the end of the wire and symbols connection point are on the same point. With snap to grid this is made easy. If they are not on the same point, not only does it look untidy when printed but it will also be considered un-connected by the special tools.

- Normal, Fine, User grid spacing

In most cases you will wish to use normal grid spacing. A fine grid has twice as many points to a normal grid and is especially useful for annotating a design and drawing symbols.

If you wish you may specify your own grid spacing by entering the spacing in the dialog box. You may enter the units in inches or mm, depending on the Units setting (as described below).

- Units in mm or units in inches

This defines which units are used by the whole program inches or mm. The ruler and show position dialog will reflect the changes.

- Scroll bar increments

This determines by how much the design will be scrolled when the arrows at the side of each scroll bar is clicked.

Colours

This option will cause a dialogue box to be displayed with the current colours in use by the current design. If you wish to change any of the colours for the objects shown, simply click on the colour and then select a new one. This will change the colour for that object in the entire design. Currently you may change the colours of: wires, junctions, no-connects, buses, pins and power elements.

If you wish to return the colours to the TinyCAD default, select the “defaults” button in the dialogue.

Show Position

This option will cause a dialogue box to be displayed with the current co-ordinates of the mouse pointer in the design.

The position is displayed in either inches or mm depending which units are selected by the Grid Settings option in the Options menu.

To remove the dialogue box select this option again.

Snap to Grid

Turn the snap to grid on or off. This is a short-cut for the same option in the Grid Settings dialogue.

Repeat Directions

This option is a sub-menu with options for the repeat command, and options for use when placing labels, text and placing pins.

The Up, Down, Left, Right options specify where an object is placed when it is repeated.

The Name Increment/Name Decrement options specify how label names, text or pin names are altered after they are placed.

The Pin Increment/Pin Decrement options specify how the pin numbers are altered after placing a pin. Note that you can only place pins when editing a library symbol.


Annotation Toolbar reference

Arc segment

The only arcs which can be drawn are the arcs which represent one quarter of an ellipse. Arcs are for annotating your designs only, they are ignored by all the special tools.

Arc segments are now part of the polyline tool. See the section on “Adding Text and Annotations” for full details.

To draw an arc select the starting point with the left hand mouse button. Then move or drag to the ending point and click again with the left hand mouse button. If the arc bows the wrong way, then draw the arc in the other direction or select the other arc type (either arc in or arc out) from the toolbar menu or context menu.

You may change the width of the line the arc is drawn with or the colour of the fill of the arc by using the tool dialogue normally displayed in the top right hand corner of the drawing.

Arcs can be edited as part of a polygon or polyline.

Ellipse

Ellipses are only used to annotate designs. They are ignored by all the Special tools.

The only ellipses that can be drawn are those which can be enclosed by a rectangle with its edges parallel to the edges of the design.

To draw an ellipse you must start by moving to one corner of the rectangle that will enclose the ellipse (this rectangle is not actually displayed). Click with the left hand mouse button. Now as you move or drag the mouse the ellipse will be shown. Once the ellipse is in the correct position click again with the left hand mouse button.

You may change the width of the line the arc is drawn with or the colour of the fill of the arc by using the tool dialogue normally displayed in the top right hand corner of the drawing.

Polyline and polygons

Polylines and polygons are provided to annotate your diagrams only. For the most part, they are ignored by all the special tools.

These tools are new to TinyCAD version 1.80.00, and are described fully in the “Adding Text and Annotations” section.

Rectangle

Rectangles are only used to annotate designs. They are ignored by all the Special tools.

To draw rectangles, select the tool on the Toolbar. Then go to the position for one of the corners of the rectangle. Click with the left hand mouse button. Now as you move or drag the mouse the rectangle will be shown. Once the Rectangle is in the correct position click again with the left hand mouse button.

You may change the width of the line the arc is drawn with or the colour of the fill of the arc by using the tool dialogue normally displayed in the top right hand corner of the drawing.

Text

Text is used only to annotate designs, it is ignored by the special tools.

It is often required to have bars over the letters in the text. This can be done by placing the ` character before each letter that needs a bar over it. If a whole word needs to have a bar placed over it then each letter in that word must have a ` before it.

Type the text you wish to add in the dialogue box. As you enter text a rectangle will appear next to the mouse, indicating the size and position of the text.

Move this rectangle with the mouse to where you wish to place it and click with the left hand button.

You can cancel entering text by clicking with the right hand mouse button.

Text can be edited once placed. To do so select Edit Item on the Toolbar. Then click with the left hand mouse button on the text to be edited. A window will appear with the original text in it. You can now alter it as necessary. When finished either click with the left hand mouse button on something else to edit, or click with the right hand mouse button.

Text can be re-sized once placed by using the handles displayed around the item or by using the tool dialogue normally displayed in the top right hand corner of the drawing.


Bus Toolbar reference

Drawing Toolbar reference

Bus

Click with the left hand mouse button in the place you wish to start the line. Move to where you wish the line to end and click with the left hand button again. A bus segment will be placed and a new bus segment is now started from this point.

To stop drawing click with the right hand mouse button, and you may start a new bus from a different point. Clicking with the right hand mouse button again will select the Edit Item option in the edit menu.

Normally the bus is locked to 90 degree positions. In this mode two line segments are displayed at once. However, only one segment is placed at a time when you click with the left hand mouse button. You must click once more to place both the bus segments.

You may also lock to 45 degree angles only, or have no locking at all. This can be selected from the edit window. When these options are used, only one bus segment at a time is displayed.

If you find when you try and place two bus segments in rapid succession and find that only one is placed, then the cause is properly due to the double click speed of the mouse being setup so that it is too slow. Go to the Control Panel and alter the double click speed faster. (See the Window's Manuals for more details).

Buses cannot be edited, but they can be moved, dragged or deleted.

Buses can be repeated.

Bus Entry

Bus entries are used to show the connection of a wire to a bus. There are two types of bus entry, allowing for connection into the bus from any possible direction.

To place bus entries, select this option in the menu, then move the bus entry to the point you wish to place it. Place it by clicking with the left hand mouse button.

When you have finished placing, either select a new tool or click with the right hand mouse button. This will select the Edit Item in the Edit menu for you.

Bus Entries cannot be edited, but they can be moved or deleted.

Bus Entries can be repeated.

Bus Name

A Bus Name placed across a Bus to indicate the nature of the Bus. This could be the number of conductors in the bus or the name of the Bus.

It is often required to have bars over the letters in a Bus Name. This can be done by placing the ` character before each letter that needs a bar over it. If a whole word needs to have a bar placed over it then each letter in that word must have a ` before it.

Type the name of the bus in the dialogue box. As you enter text a rectangle will appear next to the mouse, indicating the size and position of the text.

Move this rectangle with the mouse to where you wish to place it and click with the left hand button.

You can cancel entering text by clicking with the right hand mouse button.

Bus Names can be edited once placed. To do so select Edit Item on the Toolbar. Then click with the left hand mouse button on the text to be edited. A window will appear with the original text in it. You can now alter it as necessary. When finished either click with the left hand mouse button on something else to edit, or click with the right hand mouse button.


Block Toolbar reference

Move Block

This option allows you to move parts of the design around. The connections by wires are not preserved when this option is used. If you wish to keep the connections use the drag block option.

Select the area you wish to move by drawing a rectangle around it. Start the rectangle by clicking with the left hand mouse button. Click again with the left hand mouse button again when the rectangle covers the area you wish to move.

The area selected will be highlighted. You can now move this area around the design. Place it by using the left hand mouse button.

You can cancel the move by clicking with the right hand mouse button.

Drag Block

This option allows you to move parts of the design, keeping the connections made by wires. All wires and buses that pass into the selected area to be moved will keep their ends outside the selected area fixed in place. All connections to symbols by wires will also be preserved.

This allows for objects to be moved around the design without affecting how they are connected.

Select the area you wish to drag by drawing a rectangle around it. Start the rectangle by clicking with the left hand mouse button. Click again with the left hand mouse button again when the rectangle covers the area you wish to drag.

The area selected will be highlighted. You can now drag this area around the design. Place it by using the left hand mouse button.

You can cancel the drag by clicking with the right hand mouse button.

Duplicate Block

This option allows you to make another copy of part of the design to be placed somewhere else in the design.

Select the area you wish to duplicate by drawing a rectangle around it. Start the rectangle by clicking with the left hand mouse button. Click again with the left hand mouse button again when the rectangle covers the area you wish to copy.

The area selected will be highlighted. When you move the mouse you will find that the original copy remains and you have a duplicate copy that can be placed anywhere in the design. Place this copy by using the left hand mouse button.

You can cancel the duplication by clicking with the right hand mouse button.

Rotate Block

This option allows you to rotate and mirror (flip) a selected area of the design. This makes it very easy to correct the mistake of placing a component the wrong way round, as it and all its connections can be rotated.

Select the area you wish to rotate by drawing a rectangle around it. Start the rectangle by clicking with the left hand mouse button. Click again with the left hand mouse button again when the rectangle covers the area you wish to delete.

The area selected will be highlighted.

A dialogue box will now give you options to rotate the block clockwise or anti-clockwise, by clicking on the <<< and >>> buttons. You can also select the flip button which will mirror the block.

Once you have finished rotating the block click with either the left hand or right hand mouse button.


Drawing Toolbar reference

Delete Item

This option allow you to delete objects in the design.

To delete an item first select the Edit Item tool. Select the item to delete by clicking on it with the left hand mouse button. The object will turn grey to indicate it has been selected. You may instead of selecting a single item with the edit tool select a group of items. These too may be deleted.

Now select this option on the toolbar menu to delete the item.

You may undo the deletion by using the undo option in the edit menu.

Edit Item

This option enables editing of objects already placed in the design. You may also use this tool to move objects in your design and to delete objects in your design.

Once this option has been selected then clicking with the left hand mouse button on an object in the design will select that object. To show it has been selected it will be shown in light grey.

If there is more than one editable object under the mouse pointer, then clicking again with the left hand mouse button in the same place will cause a different object to be selected. Keep clicking with the left hand mouse button until the object you wish to edit is selected.

If the object is editable, then a dialogue box associated with the object will be shown enabling you to change it. For example, if you click on a text object then a dialogue box will appear with the text in it. You may then change the text in the dialogue box.

End editing an object by clicking with the right hand mouse button in the design window, or by selecting a new object to edit using the left hand mouse button.

You may also move objects that are selected. To do this hold down the left hand mouse button on a selected object. Now move the mouse, with the left hand mouse button held down. The object will be moved with the mouse. To finish release the left hand mouse button.

You may delete any selected object by using the delete item option on the toolbar.

You may copy any selected object to the clipboard by selecting the Copy or Cut options in the edit menu. Once a selection has been copied to the clipboard it may be pasted into another application (such as Microsoft Word), or pasted back into the design.

To select groups of objects you may drag a rectangle around the objects to be selected. Any object within the rectangle will be selected. Once it has been selected you may delete, move, copy or cut the object. To drag the rectangle, place the pointer in an area of the design where there is no object. Hold down the left hand mouse button and move the mouse. The rectangle will be created. Release the left hand mouse button to select the objects within the rectangle.

Junction

Junctions are normally automatically placed for you. You do not need to use this tool.

Junctions indicate when two wires meet that they are electrically joined. This information is used by the special tools to generate net lists and check the electrical rules. When two wires meet or cross it is assumed they are not joined unless a junction is placed at the crossing point.

To place a junction select this option, then move the junction to the location in the design where you wish to place it and then click with the left hand mouse button. When you have finished placing, either select a new tool or click with the right hand mouse button. This will select the Edit Item in the Edit menu for you.

Junctions cannot be edited, but they can be moved or deleted.

Label

Labels indicate a connection to the wire which runs beneath them. Any two wires with the same label name above them are considered to be connected.

This can be useful when two parts of a circuit need to be connected but are a long way apart on the diagram, or one point needs to be connected to a large number of others.

It is often required to have bars over the letters in the label. This can be done by placing the ` character before each letter that needs a bar over it. If a whole word needs to have a bar placed over it then each letter in that word must have a ` before it.

Type the text you wish to add in the dialogue box. As you enter text a rectangle will appear next to the mouse, indicating the size and position of the text.

Move this rectangle with the mouse to where you wish to place it and click with the left hand button.

After placing a label, if the text has a number on the end of it, it is automatically incremented or decremented depending on the Name Increment or Name Decrement option selected in the Repeat Directions menu (in the Edit menu).

You can cancel entering text by clicking with the right hand mouse button.

Labels can be edited once placed. To do so select Edit Item on the Toolbar. Then click with the left hand mouse button on the text to be edited. A window will appear with the original text in it. You can now alter it as necessary. When finished either click with the left hand mouse button on something else to edit, or click with the right hand mouse button.

Labels can be re-sized once placed by using the handles displayed around the item or by using the tool dialogue normally displayed in the top right hand corner of the drawing.

No Connect

No connects indicate that the symbol, wire or power item is not connected to anything else, and should not be connected to anything else. The electrical rules checker will indicate an error if an input is unconnected unless it has a no connect joined to it. Place no connects on any unused input or output to avoid this error and indicate that it is intentionally left unconnected.

To place a no connect select this option, then move the cross to the location in the design you where wish to place it and then click with the left hand mouse button. When you have finished placing, either select a new tool or click with the right hand mouse button. This will select the Edit Item in the Edit menu for you.

No connects cannot be edited, but they can be moved or deleted.

Power

Power objects are use to show where power is connected to the design. All power objects should have a value, which is the value of the power it provides (such as 5V, GND, 0V etc.). All power objects with the same value are considered connected to one another; even if they have different shapes.

You should connect wires to the power items at the end of their pins, otherwise they will not considered to be connected.

Certain symbols are automatically connected to power without the connection being shown (for example the 7400, although no power pins are shown, it is automatically connected to VCC and GND). When using these symbols, you should make sure you use the same power supply names as the symbols otherwise the symbol will not be correctly connected to the power supply.

To place power items in to your designs select power from the Toolbar. Then in the dialogue box select the orientation of the power item, it's shape and it's name. Place the power item by clicking with the left hand mouse button.

A range of shapes is provided, and you may use any name. Bars may be added over letters in names in the same manner bars can be added to text and labels, that is by placing ` before each letter which requires a bar over it.

Once you have finished placing power items click with the right hand mouse button or select a new tool.

Power items can be edited. To do so select Edit Item in the Edit menu. Click with the left hand mouse button on the end of the power item's pin. You can now change it's name, orientation and shape. When finished either click with the left hand mouse button on something else to edit, or click with the right hand mouse button.

Power items can also be move and deleted.

Wire

Wires are used to indicated connections on the circuit diagram. If you wish to use features such as the electrical rules checker or net list generation then you must use wires for this purpose. If you use lines instead of wires to join up points on a diagram then these tools will not work!

Click with the left hand mouse button in the place you wish to start the wire. Move to where you wish the wire to end and click with the left hand button again. A wire segment will be placed and a new wire segment is now started from this point.

If you prefer you can drag wires instead of using the clicking and then moving. Simply drag with the left hand mouse button from the starting point to the ending point. If the ending point is a symbol, another wire or a power item then the wire will automatically snap to it and terminate at that point.

A wire will automatically snap to a placed symbol or another wire when moved close to it. If you click with the left hand mouse button now, the wire will end at the snapped point. You can turn this off by using the settings dialogue in the Options menu.

When placing wires junctions will automatically be added when required.

To stop drawing click with the right hand mouse button, and you may start a new wire from a different point. Clicking with the right hand mouse button again will select the Edit Item option in the edit menu.

Normally the wire is locked to 90 degree positions. In this mode two line segments are displayed at once. However, only one segment is placed at a time when you click with the left hand mouse button. You must click once more to place both the bus segments.

You may also lock to 45 degree angles only, or have no locking at all. This can be selected from the edit window. When these options are used, only one wire segment at a time is displayed.

If you find when you try and place two wire segments in rapid succession and find that only one is placed, then the cause is properly due to the double click speed of the mouse being setup so that it is too slow. Go to the Control Panel and alter the double click speed faster. (See the Window's Manuals for more details).

Wires cannot be edited, but they can be moved, dragged or deleted.

Wires can be repeated.

Zoom

The zoom tool enables you to easily enlarge the view of the design. Once selected you may enlarge the view by clicking with the left hand mouse button, and reduce the view by clicking with the right hand mouse button.

The position of the mouse pointer, when you zoom in, is moved to the centre of the window.

You may also use the scrollwheel to zoom.


File Toolbar reference

New

This gets rid of the current design. All drawings in the current design are removed. If the current design has not been saved then you are asked to confirm before the design is lost.

Open

This option opens a previously saved design for editing or printing. If there is already a design being edited it will be lost. If the current design has not been saved then you will be asked to confirm before continuing.

Save

This option saves the current design, its page set up and the design details are all saved in a single file. If the design has already a file name associated with it then it will be saved using this file name without prompting. If the design has never been saved then you will be prompted for a new file name before it is saved.

Cut

This option enables you to move parts of the design which have been selected to the clipboard. Once it has been moved to the clipboard you may use paste to re-insert them into a different part of the design, and may paste again and again to duplicate a part of the design.

To select objects in the design use the edit item option on the toolbar.

You may also paste into other Windows applications such as Microsoft Word.

Paste

This option takes a previously copied or cut part of a design and enable you to place it into the current design.

Once this option has been selected the pasted design will be displayed at the mouse pointer. To paste it in click with the left hand mouse button, to cancel click with the right hand mouse button.

Copy

This option enables you to copy parts of the design which have been selected to the clipboard. Once it has been copied to the clipboard you may use paste to re-insert them into a different part of the design, and may paste again and again to duplicate a part of the design.

To select objects in the design use the edit item option on the toolbar.

You may also paste into other Windows applications such as Microsoft Word.

Print

Use this option print to any installed the windows printer.

If the drawing is larger than the paper size of the printer, then it is split up over as many pages as it takes to print the design in tiles.


TinyCAD credits

Credits

TinyCAD has been supported by many people over the last few years, and here are just some of the people who have contributed:

Testing and design ideas:

Arron Lawrence
Dariusz Rybak
Jesus Consuegra
Kirk Bailey
Wim Knevel

New symbol Libraries:

Andrew Walker
Emile de Groot
Greg Newton
Jesus Consuegra
Wim Knevel

Code submissions:

Kai Blaschek